Skip to main content
`Ctrl`+`K`

# PetscInfoSetFromOptions

Configure `PetscInfo()` using command line options, enabling or disabling various calls to `PetscInfo()`

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoSetFromOptions(PetscOptions options)

Not Collective

## Input Parameter

- options - Options database, use `NULL` for default global database

## Options Database Key

- -info [filename][:[~]list,of,classnames[:[~]self]] - specify which informative messages are printed, See `PetscInfo()`.

## Note

This function is called automatically during `PetscInitialize()` so users usually do not need to call it themselves.

## See Also

Interpreting -info Output: Informative Messages, `PetscInfo()`, `PetscInfoAllow()`, `PetscInfoSetFile()`, `PetscInfoSetClasses()`, `PetscInfoSetFilterCommSelf()`, `PetscInfoDestroy()`

## Level

advanced

## Location

src/sys/info/verboseinfo.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages